package com.hssx.pcbms.mapper;

import com.hssx.pcbms.entity.User;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hssx.pcbms.entity.vo.DepartmentVO;
import com.hssx.pcbms.entity.vo.UserVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Qualifier;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-10-24
 */
@Qualifier("db1SqlSessionTemplate")
public interface UserMapper extends BaseMapper<User> {

    UserVO selectUserRolesAndPermisssuons(@Param("user") User systemUser);

    List<UserVO> selectListByCondition(@Param("userVO") UserVO userVO);

    List<DepartmentVO> selectDeptUserListByCondition(UserVO userVO);

    List<User> selectOperateUsersListByCondition();

    List<User> selectLeaderUsersListByCondition();
}
